# Class pyglet.window.Platform

Operating-system-level functionality.

The platform instance can only be obtained with get_platform. Use the platform to obtain a Display instance.

## Methods

Display | get_display(self, name) Get a display device by name.
Display | get_default_display(self) Get the default display device.

## Method Details

### get_display

get_display(self, name)

Get a display device by name.

This is meaningful only under X11, where the `name` is a string including the host name and display number; for example `"localhost:1"`.

On platforms other than X11, `name` is ignored and the default display is returned. pyglet does not support multiple multiple video devices on Windows or OS X. If more than one device is attached, they will appear as a single virtual device comprising all the attached screens.

Parameters:
  name : str
    The name of the display to connect to.
Returns: Display